import { PropsWithChildren, FC, HTMLAttributes } from 'react';
import { IFooterProps as ICoreFooterProps } from '@reactionable/core';
export declare type IFooterProps = ICoreFooterProps & HTMLAttributes<HTMLElement> & {
    sponsor?: boolean;
};
export declare function Footer({ brand, sponsor, ...footerProps }: PropsWithChildren<IFooterProps>): JSX.Element;
export declare const SponsorFooter: FC<{}>;
